<?php

function step1_input(){
}

function step2_sendmailcheck(){
 $inputname=htmlspecialchars(stripslashes($_POST["inputname"]),ENT_QUOTES);
 $inputmail=htmlspecialchars(stripslashes($_POST["inputmail"]),ENT_QUOTES);
 $inputmemo=htmlspecialchars(stripslashes($_POST["inputmemo"]),ENT_QUOTES);
}

function step3_sendmail(){
 $inputname=htmlspecialchars(stripslashes($_POST["inputname"]),ENT_QUOTES);
 $inputmail=htmlspecialchars(stripslashes($_POST["inputmail"]),ENT_QUOTES);
 $inputmemo=htmlspecialchars(stripslashes($_POST["inputmemo"]),ENT_QUOTES);

//メールの件名
 $subject_txt="メールフォーム より自動返信";

//送信元アドレス
 $from_mail="test1@example.com";

//受信アアドレス
 $mail="test2@example.com";

//メールの定型文
 $message_txt= <<<EOD
●{$inputname} 様


この度はお問合せのメッセージを賜り、誠にありがとうございました。
「KOEY.NET」より自動返信にてメッセージを送信させて頂きました。

早めに返信申し上げるよう心がけておりますが、業務の関係上返信が
遅れてしまった場合は、ご容赦賜りたくお願い申し上げます。


以下より、メッセージの内容を掲載いたします。再度、ご確認の上、
修正箇所などございましたら、お手数ではございますが再送頂きますよう
お願いいたします。

フォームへのご入力内容-------

●お名前：　{$inputname}
●メールアドレス：　{$inputmail}
●メッセージ：
{$inputmemo}
----------------------------


取り急ぎ、自動返信にてメッセージの確認をさせて頂きました。
今後ともお引き立ての程、宜しくお願い申し上げます。
誠にありがとうございました。

送信元：{$from_mail}

EOD;

 mb_internal_encoding('UTF-8');
 mb_language('Japanese');
 $headers     = "From: {$from_mail}\r\n";
 $subject = "=?iso-2022-jp?B?".base64_encode(mb_convert_encoding("{$subject_txt}","JIS","UTF-8"))."?=";
 $message = mb_convert_encoding("{$message_txt}","JIS","UTF-8");
 mail($mail,$subject,$message,$headers);
 mail($inputmail,$subject,$message,$headers);
}

function step4_thanks(){

//ホームページ上の表示メッセージ
$mthanks = <<<EOD

<h2>メールフォーム　送信結果</h2>

お問合せのメッセージを賜り誠にありがとうございました。<br><br>
※ご入力頂いたアドレスへメッセージのコピーメールを送信いたしました。
<br>10分以内にコピーメールが届かない場合はメールアドレスのご入力に誤りがある可能性があります。
お手数ですが再度、ご確認の上再送頂きたくお願い申し上げます。

EOD;

print("$mthanks");
}

switch($_POST["mode"]){
case "inputed":
 step2_sendmailcheck();
 step3_sendmail();
 step4_thanks();
 break;
default:
 step1_input();
}
?>
